Bug 35855 - Disk Druid BSD label incorrect with alphabios
Disk Druid BSD label incorrect with alphabios
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-12 23:27 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-13 02:10:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-12 23:27:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb] (Win98; I)


i have a AlphaPC 64lx 600Mhz. I have the latest alphabios and milo. I can use boot floppies to install RH7 from CD.
The disk initially was MSDOS Disklabeled and Disk Druid managed to correctly keep this label. Alphabios requires a MSDOS Disk label and not a BSD 
disklabel (booting from the SRM does require BSD). The first install of RH worked fine.
 A mistake was made upon an later reinstall and fdisk was used to change the disk to a BSD Disklabel. 
Druid will still work and RH& can install: before rebooting the machine I can ls /mnt/sysimage to see the new OS. 
However upon reboot, at the MILO prompt, I get garbage from an ls of the root partition. The automatic decision of
Disk Druid to always force the disk label to a BSD on an AIX system when there are no MSDOS partitions on the disk
is not always correct and should not be forced when one is booting from alphabios.  

Reproducible: Always
Steps to Reproduce:
1. get an aix system with alphabios with milo (Ok..RH7 does'nt support milo - but you still need a MSDOS disklabel for alphabios).
2. boot up and start anaconda and just before the format go into a virtual terminal and clean the disk  #dd if=/dev/zero of=/tmp/sda?
3. Install RH7 and reboot..always fails...at the Mil prompt try ls sda? 
4. I think this is because the disk druid popped the wrong disklabel on the SCSI drive.
	

Actual Results:  Dead...

Expected Results:  Booted...
Comment 1 Brent Fox 2001-04-13 02:10:13 EDT
We do not support Milo.  Disk druid behaves correctly in this situation.  Please
see
http://www.redhat.com/support/manuals/RHL-7-Manual/alpha-install-guide/ch-milo.html
for a more detailed explaination.

Note You need to log in before you can comment on or make changes to this bug.